Package org.apache.wiki.modules

## Interface ModuleManager

All Known Subinterfaces:
  `EditorManager`, `FilterManager`, `PluginManager`, `TemplateManager`

All Known Implementing Classes:
  `BaseModuleManager`, `DefaultEditorManager`, `DefaultFilterManager`, `DefaultPluginManager`, `DefaultTemplateManager`

    public interface ModuleManager

### Field Summary

Fields
`static java.lang.String` `PLUGIN_RESOURCE_LOCATION` Location of the property-files of plugins.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `checkCompatibility​(WikiModuleInfo info)` Returns true, if the given module is compatible with this version of JSPWiki.
`WikiModuleInfo` `getModuleInfo​(java.lang.String moduleName)` Returns the `WikiModuleInfo` information about the provided moduleName.
`java.util.Collection<WikiModuleInfo>` `modules()` Returns a collection of modules currently managed by this ModuleManager.

### Field Detail

#### PLUGIN_RESOURCE_LOCATION

    static final java.lang.String PLUGIN_RESOURCE_LOCATION

Location of the property-files of plugins. (Each plugin should include this property-file in its jar-file)

See Also:
  Constant Field Values

### Method Detail

#### checkCompatibility

    boolean checkCompatibility​(WikiModuleInfo info)

Returns true, if the given module is compatible with this version of JSPWiki.

Parameters:
  `info` - The module to check
Returns:
  True, if the module is compatible.

#### getModuleInfo

    WikiModuleInfo getModuleInfo​(java.lang.String moduleName)

Returns the `WikiModuleInfo` information about the provided moduleName.

Parameters:
  `moduleName` -
Returns:
  The wikiModuleInfo

#### modules

    java.util.Collection<WikiModuleInfo> modules()

Returns a collection of modules currently managed by this ModuleManager. Each entry is an instance of the WikiModuleInfo class. This method should return something which is safe to iterate over, even if the underlying collection changes.

Returns:
  A Collection of WikiModuleInfo instances.